# Moving Dots
Modern background for flutter apps


## Preview

<img src="https://github.com/studioidan/moving_dots/blob/master/art/moving dots 1.gif" width="340px" />

### Install

Add this line to pubspec.yaml

```
dependencies:
     moving_dots: ^0.0.2
```

### Import
```
import 'package:moving_dots/moving_dots.dart';
```

### Usage
```
class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        child: MovingDots(),
      ),
    );
  }
}
```

You can  control the colors of the dots, the lines and the background too!

```
class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        child: MovingDots(
             dotColor: Colors.red,
             lineColor: Colors.amber,
             bgColor:   Colors.grey
            ),
      ),
    );
  }
}
```

Size is also optional
```
class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        child: MovingDots(
             dotColor: Colors.white,
             lineColor: Colors.amber,
             bgColor:   Colors.grey
             size: Size(400, 400),
            ),
      ),
    );
  }
}
```




License
----
MIT

  
